API documentation | API docs for agents | OpenAPI 3.1
DELETE /api/v1/billing/documents/{documentId}
ark.delete_rejected_billing_document
Delete Rejected Billing Document through the authoritative Billing application boundary.
- Availability
- Expanded preview
- Scopes
billing:write- ARK permissions
canViewBillingcanMakeAdjustments- Team visibility
- Not entity-scoped
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
documentIdpathstringrequired- format: uuid
Idempotency-Keyheaderstringrequired- Stable key for safe replay of this exact operation input.
- min length: 8; max length: 200
Request body
None.
Example request
Shell
curl -X DELETE 'https://arktms.com/api/v1/billing/documents/<documentId>' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>"Success response
Operation result.
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.documentIdstringrequiredformat: uuid
data.sourceVersionIdstringrequiredformat: uuid
data.deletedbooleanrequireddata.replayedbooleanrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry